Subject: Re: bug#74383: 29.4; Emacs PGTK crashes on Void Linux

From: Björn Bidar <[email-masked]>
Date: Sun, 17 Nov 2024 12:48:45 +0200

Po Lu via "Bug reports for GNU Emacs, the Swiss army knife of text
editors" <[email-masked]> writes:

> Eli Zaretskii <[email-masked]> writes:
>
>> Which GTK versions dropped XPM support?
>
> I don't know.  I only learned of this fact this morning myself.
>
>> We should probably reject those versions at configure time, if they
>> lead to Emacs that crashes on startup.
>
> It's not GTK that has deprecated XPM support, but a library it invokes
> to load image files.  From what I've heard, it remains possible to
> configure the library with XPM support.

Is it possible to gracefully crash or disable toolbar support when XPM
support is disabled?

There's gdk_pixbuf_format_is_disabled to check if a format is disabled.[1]

[1] https://docs.gtk.org/gdk-pixbuf/method.PixbufFormat.is_disabled.html